package com.nbclass.system.model.enums;

/**
 * i系统日志类型枚举
 * @author Leon
 * @datetime 2020年6月3日 下午5:34:36
 */
public enum SysLogType {

	xtgl(1, "系统管理"),

	login(2, "登录日志"),

	dict(3, "字典管理"),
	
	cases(4, "案例管理")
	;

	// 枚举值
	private final int key;

	// 枚举描述
	private final String desc;


	SysLogType(final int key, final String desc ) {
		this.key = key;
		this.desc = desc;
	}

	public int key() {
		return key;
	}

	public String desc() {
		return desc;
	}
	
	public static String getNameByCode(int key){
        for(SysLogType entity : SysLogType.values()){
            if(key == entity.key){
                return entity.desc;
            }
        }
        return null;
    }
	
}
